# DOCKER COMPOSE ILE GITLAB QURASDIRILMASI
https://docs.gitlab.com/ee/install/docker.html#install-gitlab-using-docker-compose

# GITLAB UCUN PROEKT DIREKTORIYASI
mkdir -p gitlab; cd gitlab/

# GITLAB DATA,LOG,CONFIG VE SSL UCUN DIREKTORIYA YARADIRIQ.
sudo mkdir -p /srv/gitlab/{config/ssl,logs,data}

# DOCKER COMPOSE FAYLI TEREFINDEN ISTIFADE EDILECEK DEYISENI TEYIN EDIRIK.
vi ~/.bash_profile
# BU SETRI FAYLA ELAVE EDIRIK.
export GITLAB_HOME=/srv/gitlab
# DERHAL TETBIQ OLUNSUN
source ~/.bash_profile


#  DOCKER COMPOSE FAYLINI YARADIRIQ. BUTUN AYARLAMALAR BU FAYLDAN YERINE YETIRILIECEK.
nano docker-compose.yaml
# COMPOSE FAYLININ YERLESDIYI DIREKTORIYANDAN KOMANDANI ISE SALIB GITLAB YUKLEMEYE BASLAYIRIQ.
docker-compose up -d
# YOXLAYIRIQ
docker-compose ps

# BU FAYLDAN ILK SIFRENI GOTURURUK VE HTTP UZERINDEN GIT UNVANINA DAXIL OLURUQ.
# ISTIFADECI ADI root SIFRE ASAGIDAKI KOMANDADAN QAYIDAN SIFREDIR.
sudo cat /srv/gitlab/config/initial_root_password | grep Password:

